> ## Documentation Index
> Fetch the complete documentation index at: https://docs.stablepayfi.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# 查询可用于兑换的法币充值余额

> 查询可用于兑换的法币充值余额

完整[认证、签名、数据约定与错误响应](https://docs.stablepayfi.ai/zh/api/stablecoin-exchange/overview)。每次重试均须重新生成时间戳、nonce 与签名。

`GET /fiat/deposit_balance` 返回尚未兑换的充值记录金额之和，按币种汇总。

## 请求头

**Authorization** `string` *required*

Bearer API Key。

**X-StablePay-Timestamp** `string` *required*

Unix 秒，允许与服务端相差最多 5 分钟。

**X-StablePay-Nonce** `string` *required*

每次请求唯一的随机串，16–64 字符。

**X-StablePay-Signature** `string` *required*

HMAC-SHA256 签名，小写十六进制；签名必须对应实际发送的请求体。

## 请求参数

**merchant\_id** `string`

10 位数字；商户 App 不传，服务商 App 传值指定作用商户

**currency** `string`

省略时返回全部币种

## 响应

**fiat\_deposit\_balances** `array` *required*

各币种余额

**fiat\_deposit\_balances\[].currency** `string` *required*

币种

**fiat\_deposit\_balances\[].amount** `integer` *required*

可兑换余额

**as\_of** `integer` *required*

快照时间

## 状态与错误

401 鉴权失败。

```bash cURL theme={"system"}
curl --request GET \
  --url "https://api.stablepay.co/api/v1/fiat/deposit_balance" \
  --header "Authorization: Bearer <API_KEY>" \
  --header "X-StablePay-Timestamp: <TIMESTAMP>" \
  --header "X-StablePay-Nonce: <NONCE>" \
  --header "X-StablePay-Signature: <SIGNATURE>"
```

```javascript JavaScript theme={"system"}
const response = await fetch("https://api.stablepay.co/api/v1/fiat/deposit_balance", {
  method: "GET",
  headers: {
    "Authorization": "Bearer <API_KEY>",
    "X-StablePay-Timestamp": "<TIMESTAMP>",
    "X-StablePay-Nonce": "<NONCE>",
    "X-StablePay-Signature": "<SIGNATURE>"
  }
});
console.log(await response.json());
```

```json 200 theme={"system"}
{
  "fiat_deposit_balances": [
    {
      "currency": "USD",
      "amount": 100500
    },
    {
      "currency": "SGD",
      "amount": 25075
    }
  ],
  "as_of": 1718726400
}
```


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.